<?php
/***********************************************
Configuration for IWWB REST Service, Linux/UNIX | Apache | PHP | Mysql/Sybase/...
Version 1.0
Author: Andreas Jerke
(c) 2003 Engine GmbH & Co KG
Contact: aj@engine.de

BITTE LESEN SIE DIE README.txt FR WEITERE HINWEISE !

Sie knnen Die Dokumentation auch online lesen: 
http://partner.iwwb.de/configuration.php#REST-PHP

************************************************/


/***********************************************
Define Database Connection

In diesem Bereich knnen Sie alle Einstellungen zu Ihrer Datenbank vornehmen.
Sollte Ihr Datenbanksystem noch nicht untersttzt werden, setzen Sie sich bitte
mit uns in Verbindung ! Wir werden dann fr Ihre Datenbank eine Erweiterung
implementieren --> http://partner.iwwb.de/contact.php#notes
***********************************************/
	
	
	/*
	Database Type

	Definiert den Datenbanktyp. Zur Zeit werden MySQL und Oracle untersttzt.
	Mgliche Werte:
	
	- mysql
		Die Funktionsbibliothek include/msql_tools.php wird benutzt.
	- oracle 
		Die Funktionsbibliothek include/oracle_tools.php wird benutzt.		
	*/
	define ("DB_TYPE","oracle");
	
	
	/*
	Database Connection String
	
	Rechnername, auf dem die Datenbank luft. Z.B. "localhost"
	*/
	define ("DB_SERVER","localhost");
	
	
	/*
	Database User
	
	Name des Datenbankbenutzers, mit dem Sie sich an dem DBMS anmelden.
	*/
	define ("DB_USER","user");


	/*
	Database password
	
	Passwort des Datenbankbenutzers
	*/
	define ("DB_PASS","pass");
	
	
	/*
	Database name
	
	Name der Datenbank, in der die Kursinformationen abgelegt sind
	*/
	define ("DB_NAME","Database");
	
	
	/*
	CHARACTER ENCODING
	
	Wie werden Zeichen von der Datenbank encodiert.
		z.B.:
	
		"ISO-8859-1" //MySQL
		"UTF-8"
		"UTF-16"
	*/
	define ("CHARACTER_ENCODING","ISO-8859-1");
	
	
/***********************************************
Define Database SQL Statements

Hier werden die SQL Statements fr Ihre Datenbank definiert. Je nach Datenbankmodell knnen
diese sehr kompliziert werden, daher sollten diese Konfigurationen von einem Fachmann durchgefhrt
werden.
Wir erstellen diese Konfigurationen auch fr Sie, wenn Sie uns alle notwendigen Informationen
zu Ihrem Datenbankmodell zuschicken. --> http://partner.iwwb.de/contact.php#notes
In dieser Dokumentation werden SQL Beispiele in der Syntax des MySQL Datenbanksystems notiert.
***********************************************/
	
	/*
	Name der Datenbankspalte, die die erste eindeutige ID enthlt.
	*/
	$strIDFeld1Name = "ID";

	
	/*
	Name der Datenbankspalte, die die zweite eindeutige ID enthlt.
	Dieses Feld bleibt meistens leer, es wird nur bentigt, wenn in Ihrer Datenbank
	zwei Spalten einen eindeutigen Schlssel pro Datensatz liefern. In diesem Fall muss
	hier der Name der zweiten ID Spalte eingegeben werden.
	*/
	$strIDFeld2Name = "";

	
	/*
	Dieses Feld gibt den Name der Spalte an, welche das Datum der letzten nderung an diesem Datensatz enthlt.
	Fr MySQL wre dies ein Datenbankfeld des Typs TIMESTAMP.
	*/
	$strLastChangedFeldName = "datum";


	/*
	Dieser SQL Befehl soll die Anzahl der seit dem letzten Update erfolgten nderungen zurckliefern.
	Folgende Platzhalter werden verwendet:
	
	[%DATUM%]
	Datum der letzten Abfrage
	
	[%ID1%]
	Letzte abgefragte ID Nummer, wenn es z.B. einen unerwarteten Abbruch gab.
	
	[%ID2%]
	Zweite ID Nummer, nur wenn der eindeutige Schlssel aus zwei ID Feldern besteht.
	
	RETURN: cnt
	Dieses Feld im Ergebnis muss die Anzahl der genderten Kurse enthalten.
	*/

	/* mysql -Beispiel */
	$strSQLChangedCount = "SELECT count(*) AS cnt FROM iwwb "
				."WHERE ".$strLastChangedFeldName.">'[%DATUM%]' AND ".$strIDFeld1Name.">[%ID1%] ";
	


        /*
	$strSQLChangedCount = "SELECT count(*) AS cnt FROM iwwb "
				."WHERE ".$strLastChangedFeldName.">TO_TIMESTAMP('[%DATUM%]','YYMMDD') AND ".$strIDFeld1Name.">[%ID1%] ";

        */
				
	/*
	Dieser SQL Befehl soll die genderten Kurse seit dem Letzten Update und der letzen Abfrage zurckliefern.
	Folgende Platzhalter werden verwendet:

	[%DATUM%]
	Datum der letzten Abfrage

	[%ID1%]
	Letzte abgefragte ID Nummer.

	[%ID2%]
	Zweite ID Nummer, nur wenn der eindeutige Schlssel aus zwei ID Feldern besteht.

	[%TOP%]
	Anzahl der Kurse, die bei dieser Abfrage zurckgegeben werden sollen.

	RETURN: *
	Hier werden alle Datenbankfelder zurckgegeben.
	*/

	/* mysql -Beispiel */
	$strSQLChangedXML = "SELECT * FROM iwwb "
				."WHERE ".$strLastChangedFeldName.">'[%DATUM%]' AND ".$strIDFeld1Name.">[%ID1%] "
				."limit [%TOP%] ";
	
/*

	$strSQLChangedXML = "SELECT * FROM iwwb "
				."WHERE ".$strLastChangedFeldName.">TO_TIMESTAMP('[%DATUM%]','YYMMDD') AND ".$strIDFeld1Name.">[%ID1%] "
				."AND rownum <= [%TOP%] ";

*/
?>
